Name:		mppdec
Version:	r96
Release:	%mkrel 4
Summary:	The 1.15v decoder
Group:		Sound/Editors and Converters
License:	LGPLv2
URL:		http://www.musepack.net/
Source0:	http://users.zenwalk.org/user-accounts/gapan/musepack-tools/mpptools-%{version}.tar.bz2
Patch0:		no-asm.patch

BuildRequires:	yasm

%description
Musepack is an audio compression format with a strong emphasis on high
quality. It's not lossless, but it is designed for transparency, so that you
won't be able to hear differences between the original wave file and the much
smaller MPC file. It is based on the MPEG-1 Layer-2 / MP2 algorithms, but
since 1997 it has rapidly developed and vastly improved and is now at an
advanced stage in which it contains heavily optimized and patentless code.
This decoder is compatible with all StreamVersions from 4 to 7. You need it if
you want to apply ReplayGain on your files or just want to decode to record on
a CD.


%prep
%setup -q -n mpptools-%{version}
sed -i -e 's/-Os//' Makefile
sed -i -e 's/-march=i586//' Makefile
sed -i -e 's/-m\$(TUNE)=i686//' Makefile
sed -i -e 's/&> $(LOGFILE)//' Makefile
sed -i -e 's/nasm/yasm/' Makefile

%ifarch x86_64
%patch0 -p1 -b .no-asm
%endif

%build
%make mppdec
%make replaygain

%install
mkdir -p %{buildroot}%{_bindir}
install -m 755 mppdec replaygain %{buildroot}%{_bindir}

%files
%doc README
%{_bindir}/mppdec
%{_bindir}/replaygain


%changelog
* Wed Jan 01 2014 david.david (MLO Team) <david.david> r96-4.mga4
+ Rebuild package for Mageia 4 (Core\MLO)
- version: r96

* Sun Apr 28 2013 david.david (MLO Team) <david.david> r96-3.mga3
+ Revision: 3
- correcting "spec" file

* Wed Apr 17 2013 david.david (MLO Team) <david.david> r96-2.mga3
+ Rebuild package for Mageia 3 (Core)
- version r96

* Mon Apr 15 2013 david.david (MLO Team) <david.david> r96-1.mga2
+ Revision: 1
- Rebuild package for Mageia 2 (Core)
- imported package from Rosa
- clean "spec" file 
